### Method

# EDataBook BookSqlite get_locale

since: 3.12

#### Declaration [src]

    gboolean
    e_book_sqlite_get_locale (
      EBookSqlite* ebsql,
      gchar** locale_out,
      GError** error
    )

#### Description [src]

Fetches the current locale setting for the address-book.

Upon success, `lc_collate_out` will hold the returned locale setting, otherwise `FALSE` will be returned and `error` will be updated accordingly.

Available since: 3.12

#### Parameters

`locale_out`

  Type: `gchar**`

  The location to return the current locale.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the locale was successfully fetched.